Ticket #2964 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

アルバム機能の携帯版対応

Reported by: pnetan Assigned to: yuri
Priority: major Milestone: OpenPNE2.13.7
Component: 指定しない Version:
Keywords: 2.13要望 Cc:

Description (Last modified by kudo)

■概要

2.12に入ったフォトアルバム機能を携帯版に対応させる

■仕様

携帯版にPCと同等のアルバム機能を実装。メール投稿でアルバム・アルバム画像の追加を行える。

  • メンバーのアルバム一覧
  • アルバム作成
  • アルバム編集
  • アルバム削除
  • アルバム画像追加
  • アルバム画像編集
  • アルバム画像削除

また、PC版にない携帯独自の機能が追加される

  • アルバム画像容量制限が入っている場合、使用可能容量の表示
  • 登録したアルバム画像を表紙画像にする機能
  • 表示中のアルバムを使って日記を書く機能(PC版アルバム小窓挿入の代替版)

■関連情報

新機能を作る会:トピック http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4422

元のdescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=18550より転記

携帯からでもアルバムが使えるようにして欲しい。

mixiのようにPCと携帯では、表示順が異なる事のないようにしてくださいね。

アルバムは、FIFOですからね。

Change History

02/17/09 20:49:22 changed by kiwa

  • milestone set to OpenPNE2.13.6.

「新機能を作る会」で進んでいるようです。近日中に取り込めそうなので、とりあえずmilestoneを2.13.6にしておきます。

02/19/09 16:12:05 changed by kiwa

  • priority changed from minor to major.
  • milestone deleted.

携帯版のアルバム対応を全体的にとりこむと考えるとすぐには無理そうなので、Milestone外します。

わかりやすくするためにPriorityあげておきます。

02/27/09 14:43:16 changed by kiwa

  • milestone set to OpenPNE2.14.0.

03/05/09 13:02:32 changed by kiwa

  • milestone changed from OpenPNE2.14.0 to OpenPNE2.13.7.

できあがったみたいです。作成者のゆりさん、おつかれさまです。2.13.7で取り込みましょう。

03/11/09 13:45:19 changed by nakasone

  • keywords changed from 2.13要望 to 2.13要望 確認中.

r10986 にて取り込みを行いました。

03/13/09 17:07:27 changed by nakasone

作成者の方から文言の変更修正のメッセージを頂いたので以下のリビジョンで対応しました。

  • 修正内容
メール本文に写真の説明を記入してください。
を
メールの件名に写真の説明を記入してください。
に修正しました。

03/23/09 17:08:06 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望.
  • description changed.

追加のパッチがあるので取り込みます。

03/23/09 17:08:12 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

03/23/09 17:08:47 changed by kiwa

  • description changed.

03/23/09 20:08:50 changed by kiwa

  • keywords changed from 2.13要望 to 2.13要望 確認中.

r11112にて追加ファイルを取り込みました。ご確認ください。

(follow-up: ↓ 12 ) 03/31/09 14:33:44 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

以下の現象の確認をお願いします

  • アルバム・アルバム画像のメール投稿が反映されません (日記など既存の機能のメール投稿が反映される環境)
  • h_album_editにて、入力内容に不備があってリダイレクトした場合に値が保持されません
  • h_album_editにて、公開範囲のデフォルト値が日記の公開範囲のデフォルト値になっています
  • h_album_endにて、画像のファイルサイズがIMAGE_MAX_FILESIZEに問わず「300KB」と表示されます

また、アルバム作成・画像投稿時のメールに記載されているsubject・bodyを砕けすぎない文言に変更したほうが良いと思われます。

(in reply to: ↑ 11 ; follow-up: ↓ 14 ) 03/31/09 15:53:36 changed by fukamachi

修正しようと思いましたが、以下の件で問題が見つけられませんでした。

* h_album_endにて、画像のファイルサイズがIMAGE_MAX_FILESIZEに問わず「300KB」と表示されます

それ以外の点はr11194で修正しました。

03/31/09 16:04:28 changed by fukamachi

r11195

インデントがタブになっていたので半角スペースに修正

(in reply to: ↑ 12 ) 03/31/09 16:20:09 changed by kiwa

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

Replying to fukamachi:

修正しようと思いましたが、以下の件で問題が見つけられませんでした。

* h_album_endにて、画像のファイルサイズがIMAGE_MAX_FILESIZEに問わず「300KB」と表示されます

再確認したところ問題ありませんでした。お騒がせしました。

差し戻した内容は修正されたとみて確認中にします。

04/01/09 18:11:14 changed by imamura623

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

アルバムのメール投稿機能について動作確認いたしました。以下の点を再確認お願いします。

  • IMAGE_MAX_FILESIZE以上のjpeg画像をアップすると画像無しアルバムが作成される。
  • 添付画像無しでアルバムを作成すると、エラーメールが送信される。
  • 添付画像:jpeg/png/gif以外のファイルを添付するとアルバムが作成されてしまう。
  • subject:空欄でもアルバムが作成できる。(タイトルが無題のアルバムが作成される)
  • body:空欄でもアルバムが作成できる。(説明文が空欄のアルバムが作成される)

メール投稿時のエラーメッセージに”写真が添付されていないか、ファイルサイズが大きすぎるため、アルバム表紙を登録できませんでした。”と書かれているが、添付画像無しの投稿はエラーではないので文言の修正が必要。

04/01/09 18:40:47 changed by imamura623

追加で確認お願いします。

  • h_album_editにて、入力内容に不備があってリダイレクトした場合に値が保持されません

まだ修正されていないようです。

04/07/09 19:07:49 changed by fukamachi

自分は修正方法がよく分からないので、assignできずにいるのですが、 ソースを確認したところ、webapp/lib/mail/sns.php に問題がありそうです。

  • 拡張子の確認をしていない
  • サイズがIMAGE_MAX_FILESIZEを越えていないかのチェックをしていない
  • アルバム表紙変更の正規表現が間違っている("+"が必要)? [327行目]

04/08/09 11:10:29 changed by fukamachi

  • owner changed from kiwa to fukamachi.
  • status changed from assigned to new.

修正してみます

(follow-up: ↓ 21 ) 04/08/09 11:26:37 changed by fukamachi

r11235で以下の内容を修正しました。

  • 添付画像無しでアルバムを作成すると、エラーメールが送信される。
  • subject:空欄でもアルバムが作成できる。(タイトルが無題のアルバムが作成される)
  • body:空欄でもアルバムが作成できる。(説明文が空欄のアルバムが作成される)

以下の件については調査中です。

  • IMAGE_MAX_FILESIZE以上のjpeg画像をアップすると画像無しアルバムが作成される。
  • 添付画像:jpeg/png/gif以外のファイルを添付するとアルバムが作成されてしまう。

04/08/09 11:38:36 changed by fukamachi

インデントがタブになっていたのでr11236で修正

(in reply to: ↑ 19 ) 04/08/09 13:23:29 changed by fukamachi

Replying to fukamachi:

以下の件については調査中です。 * IMAGE_MAX_FILESIZE以上のjpeg画像をアップすると画像無しアルバムが作成される。 * 添付画像:jpeg/png/gif以外のファイルを添付するとアルバムが作成されてしまう。

原因がわかりました。 $this->decoder->get_images()が返す値が、「添付画像がない場合」でも「画像サイズが大きい場合」でもfalseを返すことが原因のようです。この2つでは動作が異なるため、webapp/lib/OpenPNE/KtaiMail.phpの、get_images()の動作を変更する必要があります。

  • 添付画像がない場合 -> アルバム作成
  • 画像サイズが大きい -> エラーメール(アルバムは作成しない)

04/08/09 13:41:13 changed by fukamachi

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

r11237で修正しました。

仕様を以下のように変更しました。

  • 添付画像がない場合 -> エラーメール(アルバムは作成しない)
  • 画像サイズが大きい -> エラーメール(アルバムは作成しない)
  • jpeg/png/gif以外のファイルを添付 -> エラーメール(アルバムは作成しない)

上記のどの場合も「写真が添付されていないか、ファイルサイズが大きすぎるため、ファイル表紙を登録できませんでした。」というエラーメールを返すようにしました。

04/08/09 13:43:49 changed by fukamachi

たびたび申し訳ないです。

インデントがタブになっていたのでr11238で修正しました。

(follow-up: ↓ 28 ) 04/08/09 17:08:42 changed by kawahara

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

以下の点の確認お願いします。

  • 携帯版でアルバムを新規作成するときに、初期状態で全員に公開にチェックされていない。(日記などではデフォルトで全員に公開にチェックされています)

 * 携帯版でアルバム情報を編集するときに、デフォルトで現在のアルバムの情報(タイトル・説明文・公開範囲)がセットされていません。

(follow-up: ↓ 29 ) 04/08/09 17:12:01 changed by imamura623

* 添付画像がない場合 -> エラーメール(アルバムは作成しない) * 画像サイズが大きい -> エラーメール(アルバムは作成しない) * jpeg/png/gif以外のファイルを添付 -> エラーメール(アルバムは作成しない)

上記確認しました。

結果、アルバムが作成されてしまうので差し戻します。エラーメールはOKです。

(follow-up: ↓ 31 ) 04/08/09 17:25:29 changed by kawahara

* 携帯版で、アルバムの表紙画像を削除するとき以下のWarningが出ます。

Warning: in_array() [function.in-array]: Wrong datatype for second argument in ~~/webapp/lib/util/util.php on line 1117

これは、#3731 に関連しているように思えます。

04/08/09 17:28:00 changed by imamura623

以下の修正点を確認しました。

  • subject:空欄でもアルバムが作成できる。(タイトルが無題のアルバムが作成される)
  • body:空欄でもアルバムが作成できる。(説明文が空欄のアルバムが作成される)

OKです。

(in reply to: ↑ 24 ) 04/08/09 17:39:06 changed by fukamachi

r11245, r11246でそれぞれ修正しました。

Replying to kawahara:

以下の点の確認お願いします。 * 携帯版でアルバムを新規作成するときに、初期状態で全員に公開にチェックされていない。(日記などではデフォルトで全員に公開にチェックされています)  * 携帯版でアルバム情報を編集するときに、デフォルトで現在のアルバムの情報(タイトル・説明文・公開範囲)がセットされていません。

(in reply to: ↑ 25 ) 04/08/09 17:39:51 changed by fukamachi

r11243, r11244で修正しました。

Replying to imamura623:

* 添付画像がない場合 -> エラーメール(アルバムは作成しない) * 画像サイズが大きい -> エラーメール(アルバムは作成しない) * jpeg/png/gif以外のファイルを添付 -> エラーメール(アルバムは作成しない)

上記確認しました。 結果、アルバムが作成されてしまうので差し戻します。エラーメールはOKです。

(follow-up: ↓ 32 ) 04/08/09 17:56:37 changed by imamura623

以下の点、修正お願いします

  • 携帯メールで既存のアルバムに画像を追加する際、添付画像無しで投稿してもエラーメールが返ってこない。
  • 携帯メールで既存のアルバムに画像を追加する際、jpeg/png/gif 以外のファイルを投稿してもエラーメールが来ない。
  • h_album_edit画面で、サブタイトル、フォーム部分のアルバムタイトル、説明文、公開範囲が保持されていない。
  • h_album_edit画面で、タイトル空欄または説明文を空欄で編集しようとするとエラーで編集画面に戻るが、内容が保持されていない。

よろしくお願いします。

(in reply to: ↑ 26 ) 04/08/09 18:01:51 changed by kawahara

Replying to kawahara:

* 携帯版で、アルバムの表紙画像を削除するとき以下のWarningが出ます。 {{{ Warning: in_array() [function.in-array]: Wrong datatype for second argument in /webapp/lib/util/util.php on line 1117 }}} これは、#3731 に関連しているように思えます。

上の件は、config.phpの更新忘れでした。

失礼しました。

(in reply to: ↑ 30 ) 04/08/09 18:31:27 changed by fukamachi

r11247で修正しました。

Replying to imamura623:

以下の点、修正お願いします * 携帯メールで既存のアルバムに画像を追加する際、添付画像無しで投稿してもエラーメールが返ってこない。 * 携帯メールで既存のアルバムに画像を追加する際、jpeg/png/gif 以外のファイルを投稿してもエラーメールが来ない。 * h_album_edit画面で、サブタイトル、フォーム部分のアルバムタイトル、説明文、公開範囲が保持されていない。 * h_album_edit画面で、タイトル空欄または説明文を空欄で編集しようとするとエラーで編集画面に戻るが、内容が保持されていない。 よろしくお願いします。

04/08/09 19:35:21 changed by fukamachi

下記の2点で問題が見つけられませんでした。現在原因を調査中です。

  • 携帯メールで既存のアルバムに画像を追加する際、添付画像無しで投稿してもエラーメールが返ってこない。
  • 携帯メールで既存のアルバムに画像を追加する際、jpeg/png/gif 以外のファイルを投稿してもエラーメールが来ない。

04/09/09 18:03:25 changed by fukamachi

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

r11256で修正しました。

04/09/09 18:16:12 changed by imamura623

  • keywords changed from 2.13要望 確認中 to 2.13要望.

以下、確認しました。

* 携帯メールで既存のアルバムに画像を追加する際、添付画像無しで投稿してもエラーメールが返ってこない。 * 携帯メールで既存のアルバムに画像を追加する際、jpeg/png/gif 以外のファイルを投稿してもエラーメールが来ない。 * h_album_edit画面で、サブタイトル、フォーム部分のアルバムタイトル、説明文、公開範囲が保持されていない。 * h_album_edit画面で、タイトル空欄または説明文を空欄で編集しようとするとエラーで編集画面に戻るが、内容が保持されていない。

修正OKです!

04/09/09 18:48:07 changed by fukamachi

アルバムの新規作成・編集フォームで、エラー発生時にリダイレクトされた際、直前の値が保持されない問題は、#3784で対応します。

04/10/09 16:32:04 changed by kiwa

  • description changed.

description修正しました。

04/11/09 16:14:28 changed by kiwa

  • keywords changed from 2.13要望 to 2.13要望 確認中.

04/11/09 19:37:52 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

h_album_image_edit.tplにて

  2 <table width="100%"><tr><td align="center" bgcolor="#({$ktai_color_config.bg_02})">
  3 <font color="#({$ktai_color_config.font_05})"><a name="top">
  4 写真の編集</a></font><br>
  5 </td></tr></table>
  6 <tr><td bgcolor="#({$ktai_color_config.bg_03})" align="center">
  7 <font color="#({$ktai_color_config.color_24})">({$album_info.subject})</font><br>
  8 </td></tr></table>

5行目に不要な</table>が入っているため、サブタイトル部分のレイアウトが崩れます。

04/13/09 14:02:20 changed by fukamachi

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

r11271で修正しました。

04/16/09 11:15:43 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望.
  • status changed from new to closed.
  • resolution set to fixed.

#3828:アルバム機能の携帯版対応 コードチェック

残りのコードチェックは上のチケットで行います。動作を確認したところ致命的な問題はなさそうなので、今回はこれで完了とします。

04/16/09 19:41:39 changed by kiwa

  • status changed from closed to reopened.
  • resolution deleted.

owner変更のためreopenします

04/16/09 19:41:47 changed by kiwa

  • owner changed from fukamachi to yuri.
  • status changed from reopened to new.

04/16/09 19:41:53 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.

05/25/09 11:28:07 changed by kudo

  • description changed.

05/25/09 11:28:24 changed by kudo

  • description changed.